import { FC, ReactNode } from 'react';
import { CalendarTypeEnum } from './Calendar';
export type CalendarDayProps = {
    children?: ReactNode;
    className?: string;
    date: Date;
    enableHover?: boolean;
    isSelected?: boolean;
    isToday?: boolean;
    onClick?: (date: Date) => void;
    type?: CalendarTypeEnum;
    workDate: Date;
};
export declare const CalendarDay: FC<CalendarDayProps>;
