import React, { FC } from 'react';
import { GridSizeEnum, GridVerticalAlignEnum } from './Grid';
type IGridColProps = {
    children?: React.ReactElement | React.ReactElement[] | string | null;
    className?: string;
    colSpan?: Partial<Record<GridSizeEnum, number>>;
    end?: Partial<Record<GridSizeEnum, number>>;
    rowSpan?: Partial<Record<GridSizeEnum, number>>;
    start?: Partial<Record<GridSizeEnum, number>>;
    vertical?: GridVerticalAlignEnum;
};
export declare const GridCol: FC<IGridColProps>;
export {};
